'----------------------------------------------
' MyI2C.BAS
'    I2c Soft-functions
'----------------------------------------------
'   PicNick was here  www.roboternetz.de
'----------------------------------------------

'---------------------------  Library und definitionen ------------------
$lib "MyI2c.LIB"


'--------------------------- Slave receive & Send ---------------------
Const I2c_m_start = 1

$external I2c_get_addr                            'wait for start-cond & read in I2C address
Declare Sub I2c_get_addr

$external I2c_slave_rx_data                       'ACK & receive master data
Declare Sub I2c_slave_rx_data

$external I2c_slave_tx_byte                       'ACK & send data to  master
Declare Sub I2c_slave_tx_byte

'--------------------------- Multimaster sending ---------------------
$external I2cwaitbus                              'wait for free bus & reserve it
Declare Sub I2cwaitbus

$external I2cwmaster                              'send byte & watch arbitration
Declare Sub I2cwmaster

'-------------------------------------
'  I2C-STRUCTURE
'-------------------------------------
Dim I2c_flag As Byte                              '0   Kontroll-flags
Dim I2c_addr As Byte                              '1   slave adresse
Dim I2c_cntr As Byte                              '2   bei empfang anzahl bytes
Dim I2c_write As Word                             '3/4 adresse empfangsbuffer
Dim I2c_read As Word                              '5/6 adresse sendebuffer

'---------------------------------------------
'
'---------------------------------------------
   I2cinit


